#ifndef ELC3_GENERATOR_H
#define ELC3_GENERATOR_H

#include "utils.h"
#include "licenceCommon.h"
#include "licenceELC3.h"
#include "pugixml.hpp"

using namespace std;

namespace Generator
{
  class Licence3 : public LicenceELC3
  {
    
  public:
    Licence3();
    Licence3(string uuid, pugi::xml_document * xmlDoc);
    ~Licence3();

    string cid = "";
    string csd = "";
    pugi::xml_document *xmlDoc;
    string projectDescription = "";

    bool createLicence();
    
    private:
    void getHeader();
    string getVersion(int middleVersion);
    bool processInputConfiguration();
    void getLicenceItems();


  };
}

#endif